Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.net
Class HttpsRequest

    java.lang.Object
      com.ejie.r01f.net.BaseNetRequest
          com.ejie.r01f.net.HttpsRequest

public class HttpsRequest
extends BaseNetRequest

Clase para simplificar la comunicación http/https.

Field Summary

Fields inherited from class com.ejie.r01f.net.BaseNetRequest
`HTTPCALL_GET, HTTPCALL_POST, PROTOCOL`

Constructor Summary
`HttpsRequest()` Constructor vacio
`HttpsRequest(java.lang.String inURLStr)` Constructor a partir de una URL en formato cadena con el destino
`HttpsRequest(java.lang.String inURLStr, java.lang.String proxyHost, java.lang.String proxyPort)` Constructor a partir de una URL en formato cadena con el destino

Method Summary
`java.net.HttpURLConnection` | `getConnection(java.net.URL url)` Metodo abstracto que han de implementar las subclases (HttpCall y HttpsCall) para obtener la conexión Para debug : -Djavax.net.debug=all
`void` | `setURL(java.lang.String inURLStr)`

Methods inherited from class com.ejie.r01f.net.BaseNetRequest
`getSendMode, getTimeout, putParameter, send, sendUsingGet, sendUsingPost, setCookie, setProxyAuthorization, setSendMode, setTimeout, setURIAuthorization`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpsRequest

    public HttpsRequest()

  Constructor vacio

### HttpsRequest

    public HttpsRequest(java.lang.String inURLStr)
                 throws java.net.MalformedURLException

  Constructor a partir de una URL en formato cadena con el destino

### HttpsRequest

    public HttpsRequest(java.lang.String inURLStr,
                        java.lang.String proxyHost,
                        java.lang.String proxyPort)
                 throws java.net.MalformedURLException

  Constructor a partir de una URL en formato cadena con el destino

Throws:
  `java.net.MalformedURLException`

Method Detail

### setURL

    public void setURL(java.lang.String inURLStr)
                throws java.net.MalformedURLException

  Overrides:
    `setURL` in class `BaseNetRequest`
  Throws:
    `java.net.MalformedURLException`

### getConnection

    public java.net.HttpURLConnection getConnection(java.net.URL url)
                                             throws java.io.IOException

  Metodo abstracto que han de implementar las subclases (HttpCall y HttpsCall) para obtener la conexión Para debug : -Djavax.net.debug=all

  Specified by:
    `getConnection` in class `BaseNetRequest`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD